<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- 
IGAC proyecto SNC
@author: franz.gamba    
-->

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:actualizacion="http://java.sun.com/jsf/composite/actualizacion"
                template="../../templates/generalCU.xhtml">

    <ui:define name="title">
        .::Sistema Nacional Catastral::. .::Registrar Induccion al Personal::.
    </ui:define>

    <ui:define name="content">
        <p:ajaxStatus onstart="statusDialog.show();"
                      onsuccess="statusDialog.hide();" onerror="statusDialog.hide();" />
        <p:focus />

        <actualizacion:actualizacionResumenCC id="actualizacionResumen"
                                              actualizacionParam="#{prepararRecursosHumanosyFisicos.actualizacion}" />

        <p:messages id="msgsRegistrarInduccionAlPersonal" showDetail="false"
                    globalOnly="false" />

        <p:spacer height="30" width="0" />

        <h:form prependId="true" id="registrarInduccionAlPersonalForm">
            <h:panelGrid columns="2" cellspacing="3">
                <h:panelGrid columns="1" cellspacing="3">
                    <p:spacer height="20" width="0" />
                    <p:panel header="Registrar">
                        <p:spacer height="10" width="10" />
                        <p:commandButton id="btnRegistrarActasDeInduccion"
                                         widgetVar="registrarActasDeInduccionWV"
                                         value="Registrar actas de inducción" ajax="true"
                                         action="#{prepararRecursosHumanosyFisicos.inicializarRegistroActasInduccion}"
                                         update="registrarInduccionAlPersonalForm, :registrarInduccionAlPersonalForm:tablaActasInduccion"
                                         process="@this">
                            <f:setPropertyActionListener
                                target="#{prepararRecursosHumanosyFisicos.registrarInduccion}"
                                value="true" />
                        </p:commandButton>
                    </p:panel>

                </h:panelGrid>
                <h:panelGrid columns="1" cellspacing="3">
                    <p:panel header="Agregar actas de inducción"
                             rendered="#{prepararRecursosHumanosyFisicos.registrarInduccion}">
                        <ui:include src="registrarActasDeInduccion.xhtml">
                            <ui:param name="currentManagedBeanParam"
                                      value="#{prepararRecursosHumanosyFisicos}" />
                        </ui:include>
                    </p:panel>
                    <h:panelGrid columns="3" cellspacing="3">
                        <p:spacer height="0" width="600" />
                        <p:commandButton id="btnFinalizarREgistro"
                                         action="#{prepararRecursosHumanosyFisicos.finalizarRegistroActas}"
                                         widgetVar="finalizarREgistronWV" value="Finalizar Registro"
                                         ajax="false" immediate="true" process="@this">
                        </p:commandButton>
                        <p:commandButton id="btnCerrar" widgetVar="cerrarWV"
                                         icon="ui-icon ui-icon-close" value="Cerrar" ajax="true"
                                         action="#{prepararRecursosHumanosyFisicos.cerrar}"
                                         process="@this" />
                    </h:panelGrid>
                </h:panelGrid>
            </h:panelGrid>
        </h:form>

        <p:dialog height="180" width="340" resizable="true" dynamic="true"
                  widgetVar="agregarActasWV" modal="true" appendToBody="true"
                  position="center" header="Agregar Acta">
            <h:form id="agregarActasForm">
                <ui:include src="agregarActaDeInduccion.xhtml">
                    <ui:param name="currentManagedBeanParam"
                              value="#{prepararRecursosHumanosyFisicos}" />
                    <ui:param name="capacitacionParam"
                              value="#{prepararRecursosHumanosyFisicos.nuevaCapacitacion}" />
                </ui:include>
            </h:form>
        </p:dialog>

        <p:dialog height="300" width="560" resizable="true" dynamic="true"
                  widgetVar="asignarOverAsistentesWV" modal="true" appendToBody="true"
                  position="center" header="Agregar Acta">
            <h:form id="asignarOverAsistentesForm">
                <ui:include src="asignarOVerAsistentesCapacitacion.xhtml">
                    <ui:param name="currentManagedBeanParam"
                              value="#{prepararRecursosHumanosyFisicos}" />
                    <ui:param name="actualizacionParam"
                              value="#{prepararRecursosHumanosyFisicos.actualizacion}" />
                </ui:include>
            </h:form>
        </p:dialog>

        <p:dialog height="300" width="560" resizable="false" dynamic="true"
                  widgetVar="detalleCapacitacionWV" modal="true" appendToBody="true"
                  position="center" header="Detalle de la capacitación">
            <h:form id="detalleCapacitacionForm">
                <ui:include src="detalleActualizacionCapacitacion.xhtml">
                    <ui:param name="capacitacionParam"
                              value="#{prepararRecursosHumanosyFisicos.actaSeleccionada}" />
                </ui:include>
            </h:form>
        </p:dialog>

    </ui:define>
</ui:composition>